Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class FBSQLExceptionInfo

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.firebirdsql.jdbc.FBSQLExceptionInfo

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class FBSQLExceptionInfo extends SQLException
Subclass of SQLException whose only purpose is to preserve the information provided by the status vector when an exception is created using `FbExceptionBuilder.toFlatSQLException()`.

Instances of this exception have an empty stack trace.

Objects of this type are chained using the `SQLException.setNextException(java.sql.SQLException)` facility. Further information can be obtained by iterating over this object, or by using `SQLException.getNextException()`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FBSQLExceptionInfo(String reason, String sqlState, int vendorCode)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`fillInStackTrace()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### FBSQLExceptionInfo

public FBSQLExceptionInfo(String reason, String sqlState, int vendorCode)

## Method Details

### fillInStackTrace

public Throwable fillInStackTrace()

Overrides:
  `fillInStackTrace` in class `Throwable`